Commit 5c0e91f8 authored by Axel Beckert's avatar Axel Beckert

Rename source and primary binary package back to "lynx" again

Make "lynx-cur" the transitional package.

Closes: #490265
parent 175fde86
lynx-cur for Debian
----------------------
lynx for Debian
---------------
Developemnet version of lynx with NLS support.
......@@ -8,7 +8,7 @@ Developemnet version of lynx with NLS support.
#SSL=ssl
2. rebuild the package and install it.
* In /etc/lynx-cur/lynx.cfg, we set
* In /etc/lynx/lynx.cfg, we set
EXTERNAL:ftp:w3m %s:TRUE
EXTERNAL:file:w3m %s:TRUE
......@@ -35,11 +35,11 @@ INCLUDE:~/.lynx/external:EXTERNAL
the latter will enable you to alter options privately by the files
~/.lynx/colors etc.
* In /etc/lynx-cur/local.cfg, you may check the settings of
* In /etc/lynx/local.cfg, you may check the settings of
STARTFILE:, NNTPSERVER:
* In /etc/lynx-cur/lynx.cfg, you might want to modify the settings of
* In /etc/lynx/lynx.cfg, you might want to modify the settings of
LOCAL_DOMAIN:, SAVE_SPACE:
......
lynx-cur (2.8.9dev6-6) UNRELEASED; urgency=medium
lynx (2.8.9dev6-6) UNRELEASED; urgency=medium
* Prefix all debhelper files with the according package name for
consistency.
* Rename source and primary binary package back to "lynx" again, make
"lynx-cur" the transitional package. (Closes: #490265)
-- Axel Beckert <abe@debian.org> Sat, 28 Nov 2015 22:35:26 +0100
......
Source: lynx-cur
Source: lynx
Section: web
Priority: extra
Maintainer: Debian Lynx Packaging Team <pkg-lynx-maint@lists.alioth.debian.org>
......@@ -20,19 +20,19 @@ Build-Depends: autotools-dev,
telnet | telnet-client,
zlib1g-dev
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lynx/lynx-cur.git/
Vcs-Git: git://anonscm.debian.org/pkg-lynx/lynx-cur.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-lynx/lynx.git/
Vcs-Git: git://anonscm.debian.org/pkg-lynx/lynx.git
Package: lynx-cur
Package: lynx
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends},
${shlibs:Depends}
Provides: news-reader,
www-browser
Breaks: lynx (<< 2.8.7dev9-1.1),
Breaks: lynx-cur (<< 2.8.9dev6-6~),
lynx-cur-wrapper (<< 2.8.8dev.8-2)
Replaces: lynx (<< 2.8.7dev9-1.1),
Replaces: lynx-cur (<< 2.8.9dev6-6~),
lynx-cur-wrapper (<< 2.8.8dev.8-2)
Conflicts: lynx-ssl
Recommends: mime-support
......@@ -41,12 +41,12 @@ Description: classic non-graphical (text-mode) web browser
text-mode web clients. It is fast and simple to use, with support for
browsing via FTP, Gopher, HTTP, HTTPS, NNTP, and the local file system.
Package: lynx
Package: lynx-cur
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: lynx-cur (>= 2.8.9dev1),
Depends: lynx (>= 2.8.9dev6-6~),
${misc:Depends}
Description: Text-mode WWW Browser (transitional package)
This is a transitional package and can safely be removed; see the
lynx-cur package instead.
lynx package instead.
?package(lynx-cur):needs="text" section="Applications/Network/Web Browsing"\
title="Lynx-cur" command="lynx"
#!/bin/sh
pack=lynx-cur
set -e
case "$1" in
install|upgrade)
if dpkg --compare-versions "$2" 'lt-nl' '2.8.8dev.8-2' ; then
update-alternatives --remove lynx /usr/bin/lynx.cur
update-alternatives --remove www-browser /usr/bin/lynx.cur
# Inspired by
# http://wiki.debian.org/DpkgConffileHandling
# Remove a no-longer used conffile
rm_or_moveconffile() {
PKGNAME="$1"
CONFFILE="$2"
NEWDIR="$3"
if [ -e "$CONFFILE" ]; then
md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE '{s/ obsolete$//;s/.* //p}\"`"
if [ "$md5sum" != "$old_md5sum" ]; then
test -e "$NEWDIR" || mkdir -m 755 -p "$NEWDIR"
echo "Obsolete conffile $CONFFILE has been modified by you." 1>&2
if [ -e "$NEWDIR/`basename $CONFFILE`" ]; then
echo "replacement conffile $NEWDIR/`basename $CONFFILE` already exists." 1>&2
echo "Saving as $CONFFILE.dpkg-bak ..." 1>&2
mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
else
echo "Moving conffile $CONFFILE to new location $NEWDIR" 1>&2
mv -f "$CONFFILE" "$NEWDIR/"
fi
else
echo "Removing obsolete conffile $CONFFILE ..." 1>&2
rm -f "$CONFFILE"
fi
fi
}
;;
abort-upgrade)
;;
*)
echo "preinst called with unknown argument \`$1'" >&2
exit 1
case "$1" in
install|upgrade)
# Upgrading from a a real, non-dummy lynx-cur package.
if dpkg --compare-versions "$2" 'lt-nl' '2.8.9dev6-6~' ; then
update-alternatives --quiet --remove www-browser /usr/bin/lynx
update-alternatives --quiet --remove lynx-cur /usr/bin/lynx.stable
rm_or_moveconffile lynx-cur /etc/lynx-cur/lynx.cfg /etc/lynx
rm_or_moveconffile lynx-cur /etc/lynx-cur/lynx.lss /etc/lynx
fi
;;
*)
esac
# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.
#DEBHELPER#
exit 0
Document: lynx-cur
Document: lynx
Title: Debian Lynx Manual
Author: Michael Grobe <grobe@ukans.edu> et al.
Abstract: This manual describes what lynx-cur is
Abstract: This manual describes what lynx is
and how it can be used on Debian systems.
Section: Network/Web Browsing
Format: HTML
Index: /usr/share/doc/lynx-cur/lynx_help/lynx_help_main.html.gz
Files: /usr/share/doc/lynx-cur/lynx_help/*.html.gz
Index: /usr/share/doc/lynx/lynx_help/lynx_help_main.html.gz
Files: /usr/share/doc/lynx/lynx_help/*.html.gz
......@@ -4,4 +4,4 @@
# previous versions in Debian, so we ignore this specific case of a
# misspelled project name.
lynx-cur: spelling-error-in-binary usr/bin/lynx XWINDOWS X
lynx: spelling-error-in-binary usr/bin/lynx XWINDOWS X
?package(lynx):needs="text" section="Applications/Network/Web Browsing"\
title="Lynx" command="lynx"
#!/bin/sh
# postinst script for lynx-beta
pack=lynx-cur
# postinst script for lynx
pack=lynx
cnfdir=/etc/${pack}
CONFIGFILE=${cnfdir}/local.cfg
......
#! /bin/sh
# postrm script for lynx-cur
pack=lynx-cur
# postrm script for lynx
pack=lynx
cnfdir=/etc/${pack}
set -e
......
#!/bin/sh
pack=lynx
set -e
# Inspired by
# http://wiki.debian.org/DpkgConffileHandling
# Remove a no-longer used conffile
rm_or_moveconffile() {
PKGNAME="$1"
CONFFILE="$2"
NEWDIR="$3"
if [ -e "$CONFFILE" ]; then
md5sum="`md5sum \"$CONFFILE\" | sed -e \"s/ .*//\"`"
old_md5sum="`dpkg-query -W -f='${Conffiles}' $PKGNAME | sed -n -e \"\\\\' $CONFFILE '{s/ obsolete$//;s/.* //p}\"`"
if [ "$md5sum" != "$old_md5sum" ]; then
test -e "$NEWDIR" || mkdir -m 755 -p "$NEWDIR"
echo "Obsolete conffile $CONFFILE has been modified by you." 1>&2
if [ -e "$NEWDIR/`basename $CONFFILE`" ]; then
echo "replacement conffile $NEWDIR/`basename $CONFFILE` already exists." 1>&2
echo "Saving as $CONFFILE.dpkg-bak ..." 1>&2
mv -f "$CONFFILE" "$CONFFILE".dpkg-bak
else
echo "Moving conffile $CONFFILE to new location $NEWDIR" 1>&2
mv -f "$CONFFILE" "$NEWDIR/"
fi
else
echo "Removing obsolete conffile $CONFFILE ..." 1>&2
rm -f "$CONFFILE"
fi
fi
}
case "$1" in
install|upgrade)
# Upgrading from a a real, non-dummy lynx package.
if dpkg --compare-versions "$2" 'lt-nl' '2.8.7dev9-1.1' ; then
update-alternatives --quiet --remove www-browser /usr/bin/lynx
update-alternatives --quiet --remove lynx /usr/bin/lynx.stable
rm_or_moveconffile lynx /etc/lynx.cfg /etc/lynx-cur
rm_or_moveconffile lynx /etc/lynx.lss /etc/lynx-cur
if dpkg --compare-versions "$2" 'lt-nl' '2.8.8dev.8-2' ; then
update-alternatives --remove lynx /usr/bin/lynx.cur
update-alternatives --remove www-browser /usr/bin/lynx.cur
fi
;;
abort-upgrade)
;;
*)
echo "preinst called with unknown argument \`$1'" >&2
exit 1
;;
esac
# dh_installdeb will replace this with shell code automatically
# generated by other debhelper scripts.
#DEBHELPER#
exit 0
#! /bin/sh
# prerm script for lynx-cur
# prerm script for lynx
#
# see: dh_installdeb(1)
......
......@@ -25,7 +25,7 @@ endif
ZIP=/usr/bin/zip \
LIBS="-lbsd" \
dh_auto_configure --verbose -- \
--sysconfdir=/etc/lynx-cur \
--sysconfdir=/etc/lynx \
--enable-8bit-toupper --enable-externs \
--enable-nsl-fork --enable-cgi-links --enable-exec-links \
--enable-exec-scripts --enable-persistent-cookies --enable-nls \
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment